package structs

import (
	"time"
)

// swagger:model CrmCustomer
type CrmCustomer struct {
	Id                        string
	Pipeline                  uint8
	DealPhase                 uint8
	FirstName                 string
	LastName                  string
	CreatedAt                 time.Time
	Telephone                 string
	Email                     string
	LastContact               time.Time
	CreatedBy                 string
	Notes                     string
	Company                   string `gorm:"unique"`
	ZipCode                   string
	Address                   string
	City                      string
	Country                   string
	FederalState              string
	Website                   string
	LeadOrigin                string
	NumberOfEmployees         string
	NumberOfJobsSearchedFor   string
	JobTitle                  string
	NumberOfEmployeesRequired string
	HowLongHadHeBeenSearching string
	Turnover                  string
	DateOfCompletion          string
	OrderVolume               string
	NumberOfInstallments      string
	AmountsOfTheInstallments  string
	BookedPackages            string
	AssignedEmployee          string
}

// swagger:model CrmTableCustomerResponse
type CrmTableCustomerResponse struct {
	Customers  []CrmTableCustomer
	TotalPages int
}

type CrmTableCustomer struct {
	Id          string
	FirstName   string
	LastName    string
	CreatedAt   time.Time
	Telephone   string
	Email       string
	LastContact time.Time
	CreatedBy   string
}

func (CrmTableCustomer) TableName() string {
	return "crm_customers"
}

type CrmTypeCustomerRequest struct {
	Type      string // pipeline name
	DealPhase uint8
}

type CrmGetCustomerRequest struct {
	Id string
}
